[FoRK] Raspberry Pi + Qt5 + OpenGL = awesome

Joseph S. Barrera III joe at barrera.org
Fri Apr 12 01:27:31 PDT 2013


On 4/12/2013 1:05 AM, Stephen D. Williams wrote:

 > Recently, I wanted to do some Python scripting on MacOSX and was very 
surprised to find out how disjoint and annoying it was to get a newer 
version of Python installed and be able to easily install Python 
libraries that would be available for scripts.  I tried several 
published mechanisms and finally gave up, just setting the python path 
to the directories of the libraries.  Seems like it is only solved for 
Linux plus Windows with a commercial distribution. Disappointing.

I've had to solve this problem for various platforms at SLAC. Give me 
ssh access to a MacOS machine and I will see what I can do.

It's a complicated subject, and I don't claim to be an expert -- just 
someone who's figured out how to get things to work.

- Joe

P.S. Are you using 2.7 or 3.*? (no reason to use <2.7)

P.S. Does virtualenv help? I've never used it myself.



More information about the FoRK mailing list